Bug 875776 - [abrt] Zim-0.57-1.fc17: index.py:244:__getattr__:AttributeError: This IndexPath does not contain row data
[abrt] Zim-0.57-1.fc17: index.py:244:__getattr__:AttributeError: This IndexPa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:c68fa78e7d5cb9f0e56ff9e5d2c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 10:00 EST by jibecfed
Modified: 2013-02-04 22:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 22:15:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: environ (1.38 KB, text/plain)
2012-11-12 10:00 EST, jibecfed
no flags Details
File: executable (12 bytes, text/plain)
2012-11-12 10:00 EST, jibecfed
no flags Details
File: smolt_data (3.12 KB, text/plain)
2012-11-12 10:00 EST, jibecfed
no flags Details
File: core_backtrace (420 bytes, text/plain)
2012-11-12 10:00 EST, jibecfed
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1080568 None None None Never

  None (edit)
Description jibecfed 2012-11-12 10:00:39 EST
Description of problem:
Renammed a page.

Version-Release number of selected component:
Zim-0.57-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-jb/zim-server-socket 30
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:index.py:244:__getattr__:AttributeError: This IndexPath does not contain row data
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/index.py", line 496, in on_page_moved
:    self.delete(oldpath)
:  File "/usr/lib/python2.7/site-packages/zim/index.py", line 1068, in delete
:    self._delete(indexpath)
:  File "/usr/lib/python2.7/site-packages/zim/index.py", line 1101, in _delete
:    hadchildren = path.haschildren
:  File "/usr/lib/python2.7/site-packages/zim/index.py", line 244, in __getattr__
:    raise AttributeError, 'This IndexPath does not contain row data'
:AttributeError: This IndexPath does not contain row data
:
:Local variables in innermost frame:
:self: <IndexPath: Étude de marché:Marché:10 - Concurrents>
:attr: 'haschildren'
Comment 1 jibecfed 2012-11-12 10:00:47 EST
Created attachment 643565 [details]
File: environ
Comment 2 jibecfed 2012-11-12 10:00:49 EST
Created attachment 643566 [details]
File: executable
Comment 3 jibecfed 2012-11-12 10:00:53 EST
Created attachment 643567 [details]
File: smolt_data
Comment 4 jibecfed 2012-11-12 10:00:58 EST
Created attachment 643568 [details]
File: core_backtrace
Comment 5 Fedora Update System 2013-01-24 08:16:04 EST
Zim-0.59-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.59-1.fc17
Comment 6 Fedora Update System 2013-01-25 16:30:52 EST
Package Zim-0.59-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.59-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1478/Zim-0.59-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-02-04 22:15:36 EST
Zim-0.59-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.